{% load bootstrap4 %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>To-Do</title>

    {% bootstrap_css %}

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css"
          integrity="sha512-HK5fgLBL+xu6dm/Ii3z4xhlSUyZgTT9tuc/hSrtw6uzJOvgRr2a9jyxxT1ely+B+xFAmJKVSTbpM/CuL7qxO8w=="
          crossorigin="anonymous">
    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <style>
        body,
        html {
            margin: 0;
            padding: 0;
            height: 100%;
            background: #6e91aa !important;
        }

        .hello-msg {
            font-size: 18px;
            color: #fff;
            margin-right: 20px;
        }

        .user_card {
            background: #bbd8da;
        }


        .titlecolor {
            color: #fff;
            font-weight: bold;

        }



        .nav-link {
            font-size: 30px;
            color: white !important;
        }

        .bluecolor {
            background-color: #bbd8da !important;
        }
        .onetask {
            background-color: white;
        }

        .login_btn {
			width: 100%;
			background: #6e91aa !important;
			color: white !important;
		}
		.login_btn:focus {
			box-shadow: none !important;
			outline: 0px !important;
		}
        .edit_btn:focus {
            box-shadow: none !important;
			outline: 0px !important;
        }
        .edit_btn {
            margin-bottom: 10px;
            width: 30%;
			background: #6e91aa !important;
			color: white !important;
        }
        .done_btn {
			width: 30%;
			background: #6e91aa !important;
			color: white !important;
		}
		.done_btn:focus {
			box-shadow: none !important;
			outline: 0px !important;
		}

        .done_btn:hover {
            background-color: yellow;
        }

    </style>

</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark bluecolor">

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link titlecolor" href="{% url 'todo' %}">To-Do</a>
            </li>
        </ul>
    </div>

    <span class="hello-msg">User: {{ request.user }}</span>
    <span><a class="hello-msg" href="{% url 'logout' %}">Logout</a></span>

</nav>


<!-- Modals -->
{% for task in tasks %}
    <div class="modal fade" id="deleteModal_{{ task.id }}" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteModalLabel_{{ task.id }}">Delete task</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure that you're done with this task?
                    <br>The Task will automaticly be deleted by clicking the Done-Button.
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <a href="{% url 'delete_task' task.id %}" class="btn done_btn">Done</a>
                </div>
            </div>
        </div>
    </div>
{% endfor %}



<div class="container">
    <div class="row my-5">
        <div class="col-md-4">
            <div class="card">
                <div class="card-body user_card">
                    <h3 id="form-title" class="titlecolor row justify-content-center">Taskmanager</h3>
                    <form method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <input type="text" id="{{ form.task_name.id_for_label }}" class="form-control"
                                   placeholder="Title" required name="{{ form.task_name.html_name }}">
                        </div>
                        <div class="form-group mt-3">
                            <textarea id="{{ form.description.id_for_label }}" cols="30" rows="10" class="form-control"
                                      name="{{ form.description.html_name }}" placeholder="Description"
                                      required></textarea>
                        </div>

                        <div class="form-group mt-3">
                            <input type="text" id="{{ form.deadline.id_for_label }}"
                                   name="{{ form.deadline.html_name }}" class="form-control" placeholder="Deadline"
                                   required>
                        </div>

                        <button class="btn login_btn">Save</button>
                    </form>
                </div>
            </div>
        </div>

        <div class="col-md-8">
            <table class="table" id="task-table">
                <thead>
                <tr>
                    <th scope="col" class="titlecolor">Title</th>
                    <th scope="col" class="titlecolor">Description</th>
                    <th scope="col" class="titlecolor">Deadline</th>
                    <th scope="col" class="titlecolor">Action</th>
                </tr>
                </thead>
                <tbody>
                {% for task in tasks %}
                    <tr class="onetask">
                        <td title="{{ task.task_name }}">{{ task.task_name|slice:"10" }}</td>
                        <td title="{{ task.description }}">{{ task.description|slice:"20" }}</td>
                        <td>{{ task.deadline }}</td>
                        <td>
                            <a href="{% url 'edit_task' task.id %}" class="btn edit_btn">Edit</a>
                            <button class="btn edit_btn" data-toggle="modal"
                                    data-target="#deleteModal_{{ task.id }}">
                                Done
                            </button>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>


    </div>
</div>

{% bootstrap_javascript jquery='full' %}

<script>
    $("#task-table td").each(function () {
        $(this).tooltip();
    });
</script>

</body>
</html>